package com.bocloud.sms.interfaces;


import com.bocloud.sms.entity.Icon;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import org.springframework.web.multipart.MultipartFile;

/**
 * 图表service层
 *
 * @author 胡立伟
 * @Version 1.0
 * @since 2020年4月7日
 */
public interface IconService {
    GeneralResult<GridBean<Icon>> list(Pager pager, RequestContext context);

    GeneralResult<Void> create(MultipartFile[] files, String category, RequestContext requestContext);

    GeneralResult<Void> remove(Long id);
}
