package com.bocloud.sms.interfaces;

import com.bocloud.sms.entity.PortalPanel;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.RequestContext;

import java.util.List;

/**
 * 首页配置service层
 *
 * @author lyy
 * @version 2.0
 * @time 2017年12月27日
 */
public interface PortalPanelService {

    /**
     * 首页配置列表展示
     *
     * @param context
     * @return
     */
    GeneralResult list(String module, RequestContext context);

    /**
     * 全保存
     *
     * @param portalPanels
     * @param userId
     * @param module
     * @param tenantId
     * @param projectId
     * @return
     */
    GeneralResult save(List<PortalPanel> portalPanels, Long userId, Long tenantId, Long projectId, String module);


    /**
     * 重置
     *
     * @param module
     * @param context
     * @return
     */
    GeneralResult reset(String module, RequestContext context);

}
