package com.bocloud.sms.monitor;

/**
 * prometheus表达式标签匹配符
 *
 * @author zhangyf
 * @since 2019-12-30
 */
public enum Operator {
    /**
     * 完全相等
     */
    EQ("="),
    /**
     * 不相等
     */
    UEQ("!="),
    /**
     * 正则表达式匹配
     */
    RE_EQ("=~"),
    /**
     * 正则表达式不匹配
     */
    RE_UEQ("!~");
    /**
     * 模式
     * <a link="https://www.cnblogs.com/wuchangblog/p/15793457.html"></a>
     */
    private String operator;

    Operator(String operator) {
        this.operator = operator;
    }

    public String getOperator() {
        return this.operator;
    }

}
