package com.bocloud.sms.service.monitor;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * 监控
 *
 * @author zhangyf
 * @since 2018-12-21
 */
@Configuration
@Data
public class PrometheusConfig {

    @Value("${prometheus.url:127.0.0.1}")
    private String url;
    @Value("${prometheus.node.url:127.0.0.1}")
    private String nodeUrls;
    @Value("${prometheus.timeout:60000}")
    private int timeout;
    @Value("${alertmanager.url:127.0.0.1}")
    private String alertmanagerUrl;

}
