
package com.bocloud.sms.monitor;

import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * prometheus 返回的结果数据<br />
 * resultType=="matrix"时values有值<br />
 * resultType=="vector"时value有值<br />
 * https://prometheus.io/docs/prometheus/latest/querying/api/#expression-query-result-formats
 *
 * @author zhangyf
 * @since 2018-12-27
 */
@Data
public class PrometheusResult {

    private Map<String, Object> metric;
    /**
     * 长度为2的数组，0:时间戳，1:值
     */
    private Object[] value;
    private List<Object[]> values;

}
